Sie befinden sich hier: eisfair / Pack-Eis
News News News

Content

abi-compliance-checker (devel)

ABI Compliance Checker - checking binary and source (Offizielles Paket)

Version: 2.6.0 Status: stable Release Datum: 2015-05-18
Autor: Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
Internal Program Version: ABI Compliance Checker  1.99.9.1

ABI Compliance Checker (ACC) is a tool for checking backward binary
and source-level compatibility of a C/C++ library. The tool checks
header files and shared libraries of old and new versions and analyzes
changes in API and ABI (ABI=API+compiler ABI) that may break binary
and/or source compatibility: changes in calling stack, v-table changes,
removed symbols, renamed fields, etc. Binary incompatibility may result
in crashing or incorrect behavior of applications built with an old version
of a library if they run on a new one. Source incompatibility may result
in recompilation errors with a new library version. 
The tool is intended for developers of software libraries and maintainers
of operating systems who are interested in ensuring backward compatibility,
i.e. allow old applications to run or to be recompiled with newer 
library versions. 

http://ispras.linuxbase.org/index.php/ABI_compliance_checker
SHA1-Prüfsumme: f3d07f762714b5df0d5ac403d2fec7f6d6278094
Größe: 162.8 KByte
Eis-List: keine
Info-Datei: https://www.pack-eis.de/dl.php?l=16534/abi-compliance-checker.tar.bz2.info (Keine Fehler)
Benötigte Pakete: base 2.6.2
ctags 2.6.0
perl 2.6.1
Benötigte Libraries: keine
Weitere Funktionen: keine
Dieses Paket ist
lauffähig unter:
eisfair 1